Skip to main content

Endpoint

POST /dbconnections/change_password Send a change password email to the user’s provided email address and connection. Optionally, you may provide an Organization ID to support Organization-specific variables in customized email templates and to include the organization_id and organization_name parameters in the Redirect To URL. Note: This endpoint only works for database connections.

Remarks

  • When the user clicks on the password change link they will be redirected to a page asking them for a new password.
  • This endpoint will return three HTTP Response Headers, that provide relevant data on its rate limits:
    • X-RateLimit-Limit: Number of requests allowed per minute.
    • X-RateLimit-Remaining: Number of requests available. Each new request reduces this number by 1. For each minute that passes, requests are added back, so this number increases by 1 each time.
    • X-RateLimit-Reset: Remaining time until the rate limit (X-RateLimit-Limit) resets. The value is in UTC epoch seconds.

Learn More

Body Parameters

client_id
string
The client_id of your client. Required only when the password-reset-post-challenge Actions trigger is bound to your tenant; otherwise optional.
email
string
required
The user’s email address.
connection
string
required
The name of the database connection configured to your client.
organization
string
The organization_id of the Organization associated with the user.

Response Schema

Response Messages